cURL
curl --request GET \
--url https://api.collective.work/{environment}/v1/sherlock/search/{searchId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.collective.work/{environment}/v1/sherlock/search/{searchId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.collective.work/{environment}/v1/sherlock/search/{searchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.collective.work/{environment}/v1/sherlock/search/{searchId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.collective.work/{environment}/v1/sherlock/search/{searchId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.collective.work/{environment}/v1/sherlock/search/{searchId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.collective.work/{environment}/v1/sherlock/search/{searchId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"searchId": "cm71yqftr00000ck0bpz3hpg1",
"status": "COMPLETED",
"results": [
{
"score": 82,
"reasons": [
{
"text": "Has 6 years of React experience matching the brief",
"isPositive": true
}
],
"profile": {
"id": "cm71yqftr00000ck0bpz3hpg1",
"firstname": "Jane",
"lastname": "Doe",
"pictureUrl": "https://pictures.example.com/jane.png",
"linkedinUrl": "https://www.linkedin.com/in/jane-doe",
"collectiveUrl": "https://app.collective.work/recruiter/search?profileId=cmjr2j27g2xzy6dgjauv8hbc1",
"title": "Senior Frontend Engineer",
"dailyRate": 650,
"yearlySalaryMin": 60000,
"yearlySalaryMax": 80000,
"availability": "AVAILABLE",
"workPreference": "REMOTE_ONLY",
"desiredContractType": "FREELANCER",
"location": {
"googleMapsPlaceId": "ChIJdw3OtdnQZ0cRziAfbWk74Go",
"country": "France",
"countryCode": "FR",
"label": "Paris, France",
"shortLabel": "Paris",
"latitude": 48.8566,
"longitude": 2.3522
},
"mobilities": [
{
"googleMapsPlaceId": "ChIJdw3OtdnQZ0cRziAfbWk74Go",
"country": "France",
"countryCode": "FR",
"label": "Paris, France",
"shortLabel": "Paris",
"latitude": 48.8566,
"longitude": 2.3522
}
],
"skills": [
"TypeScript",
"GraphQL"
],
"featuredSkills": [
"React"
],
"workExperiences": [
{
"title": "Senior Frontend Engineer",
"company": "Collective",
"companyLogoUrl": "https://logo.example.com/collective.png",
"startDate": "2021-01-01T00:00:00.000Z",
"endDate": "2023-06-30T00:00:00.000Z"
}
]
}
}
]
}{
"message": [
"<string>"
],
"statusCode": 403,
"error": "Forbidden"
}{
"message": [
"Resource not found"
],
"statusCode": 404,
"error": "Not Found"
}{
"message": [
"Internal server error"
],
"statusCode": 500,
"error": "Internal Server Error"
}Talent Search API Endpoints
Get Sherlock search results
Poll the status and results of a talent search. While the search runs, status is ONGOING and results is null. Once COMPLETED, results is an array (possibly empty) of ranked summary profiles ordered by descending match score, capped at your organisation’s per-call limit (30 by default).
Summary results do not include contact details or the CV — use the Get Profile endpoint to retrieve them.
GET
/
sherlock
/
search
/
{searchId}
cURL
curl --request GET \
--url https://api.collective.work/{environment}/v1/sherlock/search/{searchId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.collective.work/{environment}/v1/sherlock/search/{searchId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.collective.work/{environment}/v1/sherlock/search/{searchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.collective.work/{environment}/v1/sherlock/search/{searchId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.collective.work/{environment}/v1/sherlock/search/{searchId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.collective.work/{environment}/v1/sherlock/search/{searchId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.collective.work/{environment}/v1/sherlock/search/{searchId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"searchId": "cm71yqftr00000ck0bpz3hpg1",
"status": "COMPLETED",
"results": [
{
"score": 82,
"reasons": [
{
"text": "Has 6 years of React experience matching the brief",
"isPositive": true
}
],
"profile": {
"id": "cm71yqftr00000ck0bpz3hpg1",
"firstname": "Jane",
"lastname": "Doe",
"pictureUrl": "https://pictures.example.com/jane.png",
"linkedinUrl": "https://www.linkedin.com/in/jane-doe",
"collectiveUrl": "https://app.collective.work/recruiter/search?profileId=cmjr2j27g2xzy6dgjauv8hbc1",
"title": "Senior Frontend Engineer",
"dailyRate": 650,
"yearlySalaryMin": 60000,
"yearlySalaryMax": 80000,
"availability": "AVAILABLE",
"workPreference": "REMOTE_ONLY",
"desiredContractType": "FREELANCER",
"location": {
"googleMapsPlaceId": "ChIJdw3OtdnQZ0cRziAfbWk74Go",
"country": "France",
"countryCode": "FR",
"label": "Paris, France",
"shortLabel": "Paris",
"latitude": 48.8566,
"longitude": 2.3522
},
"mobilities": [
{
"googleMapsPlaceId": "ChIJdw3OtdnQZ0cRziAfbWk74Go",
"country": "France",
"countryCode": "FR",
"label": "Paris, France",
"shortLabel": "Paris",
"latitude": 48.8566,
"longitude": 2.3522
}
],
"skills": [
"TypeScript",
"GraphQL"
],
"featuredSkills": [
"React"
],
"workExperiences": [
{
"title": "Senior Frontend Engineer",
"company": "Collective",
"companyLogoUrl": "https://logo.example.com/collective.png",
"startDate": "2021-01-01T00:00:00.000Z",
"endDate": "2023-06-30T00:00:00.000Z"
}
]
}
}
]
}{
"message": [
"<string>"
],
"statusCode": 403,
"error": "Forbidden"
}{
"message": [
"Resource not found"
],
"statusCode": 404,
"error": "Not Found"
}{
"message": [
"Internal server error"
],
"statusCode": 500,
"error": "Internal Server Error"
}Authorizations
Your organization API key, available in Organisation settings.
Response
Search status retrieved successfully
Was this page helpful?

